Grok Imagine 2.0
curl --request POST \
--url https://api.krea.ai/generate/image/xai/grok-imagine-2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A historic train chugging across a towering viaduct in a misty valley.",
"aspect_ratio": "2:1",
"resolution": "1K"
}
'import requests
url = "https://api.krea.ai/generate/image/xai/grok-imagine-2"
payload = {
"prompt": "A historic train chugging across a towering viaduct in a misty valley.",
"aspect_ratio": "2:1",
"resolution": "1K"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A historic train chugging across a towering viaduct in a misty valley.',
aspect_ratio: '2:1',
resolution: '1K'
})
};
fetch('https://api.krea.ai/generate/image/xai/grok-imagine-2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Image
Grok Imagine 2.0
xAI’s image model with selectable quality and 2K output.
POST
/
generate
/
image
/
xai
/
grok-imagine-2
Grok Imagine 2.0
Pricing
Fixed API prices in USD.
| Quality | Resolution | Reference Images | Price |
|---|---|---|---|
| low | 1K | 0 | $0.042 |
| low | 1K | 1 | $0.0525 |
| low | 1K | 2 | $0.063 |
| low | 2K | 0 | $0.063 |
| medium | 1K | 0 | $0.063 |
| low | 1K | 3 | $0.0735 |
| low | 2K | 1 | $0.0735 |
| medium | 1K | 1 | $0.0735 |
| low | 2K | 2 | $0.084 |
| medium | 1K | 2 | $0.084 |
| medium | 2K | 0 | $0.084 |
| low | 2K | 3 | $0.0945 |
| medium | 1K | 3 | $0.0945 |
| medium | 2K | 1 | $0.0945 |
| medium | 2K | 2 | $0.105 |
| medium | 2K | 3 | $0.1155 |
Deprecated request aliases
Deprecated request aliases
These aliases are accepted for compatibility only and are not shown in the request schema.
| Deprecated | Use instead | Accepted until |
|---|---|---|
styleImages | style_images | 2026-06-19 |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results.
Body
application/json
Required string length:
1 - 4000Aspect ratio. One of: 2:1, 20:9, 19.5:9, 16:9, 3:2, 4:3, 1:1, 3:4, 2:3, 9:16, 9:19.5, 9:20, 1:2.
Available options:
2:1, 20:9, 19.5:9, 16:9, 3:2, 4:3, 1:1, 3:4, 2:3, 9:16, 9:19.5, 9:20, 1:2 Resolution scale. One of: 1K, 2K.
Available options:
1K, 2K Available options:
low, medium Image prompts to use for the generation
Maximum array length:
3Show child attributes
Show child attributes
Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?